Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal
Interface HttpServiceDefinition

public interface HttpServiceDefinition

Constants that define HTTP parameters required for defining a service that is performed by the `ServletTestRedirector` servlet.

Version:
  $Id: HttpServiceDefinition.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary
`static java.lang.String` | `AUTOSESSION_NAME_PARAM` Name of the parameter in the HTTP request that specify if a session should be automatically created for the user or not.
`static java.lang.String` | `CLASS_NAME_PARAM` Name of the parameter in the HTTP request that represents the name of the Test class to call.
`static java.lang.String` | `COMMAND_PREFIX` Prefix indicating that a String is an official Cactus command.
`static java.lang.String` | `METHOD_NAME_PARAM` Name of the parameter in the HTTP request that represents the name of the Test method to call.
`static java.lang.String` | `SERVICE_NAME_PARAM` Name of the parameter in the HTTP request that specify the service asked to the Redirector Servlet.
`static java.lang.String` | `TEST_ID_PARAM` Name of the parameter in the HTTP request that represents the unique id of the test case (to ensure that the client-side test gets the correct results).
`static java.lang.String` | `WRAPPED_CLASS_NAME_PARAM` Name of the parameter in the HTTP request that represents an optional Test being wrapped by the class represented by CLASS_NAME_PARAM.

Field Detail

### COMMAND_PREFIX

    public static final java.lang.String COMMAND_PREFIX

  Prefix indicating that a String is an official Cactus command.

  See Also:
    Constant Field Values

### TEST_ID_PARAM

    public static final java.lang.String TEST_ID_PARAM

  Name of the parameter in the HTTP request that represents the unique id of the test case (to ensure that the client-side test gets the correct results).

  See Also:
    Constant Field Values

### CLASS_NAME_PARAM

    public static final java.lang.String CLASS_NAME_PARAM

  Name of the parameter in the HTTP request that represents the name of the Test class to call. The name is voluntarily long so that it will not clash with a user-defined parameter.

  See Also:
    Constant Field Values

### WRAPPED_CLASS_NAME_PARAM

    public static final java.lang.String WRAPPED_CLASS_NAME_PARAM

  Name of the parameter in the HTTP request that represents an optional Test being wrapped by the class represented by CLASS_NAME_PARAM.

  See Also:
    Constant Field Values

### METHOD_NAME_PARAM

    public static final java.lang.String METHOD_NAME_PARAM

  Name of the parameter in the HTTP request that represents the name of the Test method to call. The name is voluntarily long so that it will not clash with a user-defined parameter.

  See Also:
    Constant Field Values

### AUTOSESSION_NAME_PARAM

    public static final java.lang.String AUTOSESSION_NAME_PARAM

  Name of the parameter in the HTTP request that specify if a session should be automatically created for the user or not.

  See Also:
    Constant Field Values

### SERVICE_NAME_PARAM

    public static final java.lang.String SERVICE_NAME_PARAM

  Name of the parameter in the HTTP request that specify the service asked to the Redirector Servlet. It can be either to ask the Redirector Servlet to call the test method or to ask the Redirector Servlet to return the result of the last test.

  See Also:
    `ServiceEnumeration`, Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.